<?php

$s = $_GET["signature"];
$t = $_GET["timestamp"];
$n = $_GET["nonce"];
$e = $_GET["echostr"];
$token = 'ef9655c079b6443f9153d0ed95037bb5';
$tmpArr = array($t, $n,$token);
sort($tmpArr, SORT_STRING);
$tmpStr = implode( $tmpArr );
$tmpStr = sha1( $tmpStr );
$ee = 'V3xwtddYXPES064KgVh0uxqfPVV2qDK1HvfX7PIRvxR';
if( $s == $tmpStr ){
    ob_clean();
    echo $e;

return true;
}else{

    echo "<pre>";
    print_r ("false");
    echo "</pre>";

return false;
}
